
.. _namedtype.NamedType:

.. |NamedType| replace:: NamedType

NamedType
---------

.. autoclass:: pyasn1.type.namedtype.NamedType
   :members:

   .. note::

        The *NamedType* class models a mandatory field of a constructed
        ASN.1 type.

        The *NamedType* objects are normally utilized by the
        the :ref:`NamedTypes <namedtype.NamedTypes>` objects
        to model individual fields of the constructed ASN.1
        types.
